@charset "utf-8";

article, aside, figure, footer, header, nav, main {
	display:block;
}

body {
	color:#151515;
	font-family: Arial, Calibri, sans-serif;
	background-color: #DDF9CC;
	padding: 30px;
}

#page {
	background-color: #ffffff;
	width:100%;
	max-width:1000px;
	margin:0 auto;
	box-shadow: 1px 1px 15px #999;
	
	/*In CSS, the adjoining margins of two or more boxes (which might or might not be siblings) can combine to form a single margin. Margins that combine this way are said to collapse, and the resulting combined margin is called a collapsed margin. Horizontal margins never collapse.	Any of the following prevents the margin collapse:
    -Floating either of your div elements
    -Making either of of your div elements inline blocks
    -Setting overflow of #outer to auto (or any value other than visible)*/
	overflow:auto;
}

header {
	margin: 20px 40px ;
 	padding-bottom: 20px;
	border-color: #D8D8D8;
 	border-bottom-style: solid ;
	border-bottom-width : 2px; 	
}

header.leer {
	margin-top: 3.5em;
}

#content {
	margin:44px;
}

aside {
	margin-top: 2.5em;
}

footer {
	margin: 20px 40px ;
	padding-top: 20px; 
	padding-bottom: 20px; 
	border-color: #D8D8D8;
	border-top-style: solid ;
	border-top-width : 2px;
}

#site_footer {
	width:100%;
	max-width:1000px;
	margin:0 auto;
	
	margin-top: 5em;
	padding: 1em;
	font-size: .75em;
	color: darkgrey;
	
	padding-top: 20px; 
	padding-bottom: 20px; 
	border-color: #D8D8D8;
	border-top-style: solid ;
	border-top-width : 2px;
}

#site_footer > .tabelle{
	width: 100%;
}

#site_footer > .tabelle > .zelle:nth-of-type(1){
	width: 25em;
	vertical-align: top;
}

#site_footer > .tabelle > .zelle:nth-of-type(3){
	width: 15em;
	vertical-align: top;
}

#site_footer .tabelle.kstbb .zelle {
	padding: .2em;
	vertical-align: middle;
}

#site_footer img.logo_kstbb {
	height: 2em;
}

#site_footer ul {
	padding-left: 0;
	list-style-type: none;
}

#site_footer ul.triangle li:before {
	content: "\25B8";
	font-size: 1.5em;
	margin-right: .2em;
	vertical-align: -10%;
}

#site_footer a {
	color: darkgrey;
	text-decoration: none;
}

.tabelle {
	display: table;
	width: 100%;
}

.zelle {
	display: table-cell;
	vertical-align: top;
}

.zelle_letzte {
	display: table-cell;
	width:100%; 
	vertical-align: top;
}

.zeile {
	display: table-row;
}

/* apidoc */


	.apidoc .zeile>.zelle {
		background-color:white;
		border-style: solid;
		border-width: 1px;
		font-size: 0.8em;
		border-bottom-style: none;
		padding: 0.25em;
	}

	.apidoc .zeile > .zelle .zelle {
		padding-left: 0.25em;
	}

	.apidoc .zeile:last-child >.zelle {
		border-bottom-style: solid;
	}
/* *********** */

/* Navigation */
 	#page_header nav, #page_footer nav {
		display:table; 
		width:100%;
	} 

	#page_header > nav > div, #page_footer > nav > div {
		display: table-cell;
		vertical-align: middle;
		text-align:center;
	}
	
	#page_header > nav > div:first-child, #page_footer > nav > div:first-child,#page_header > nav > div:last-child, #page_footer > nav > div:last-child  {
 		width: 11em;
	}

/* 	#page_header nav > div:first-child, #page_footer nav > div:first-child {
		text-align:left;
		min-width: 22%;
	}
	#page_header nav > div:last-child, #page_footer nav > div:last-child {
		text-align:right;
		min-width: 22%;
	} */

	#page_header nav a.button_farbig, #page_footer nav a.button_farbig{
		display: inline-block;
	}
/******************/

/* Beispielkasten */
	section.beispiel {
		background-color: #F4FFE8;
		box-shadow: 1px 1px 15px #999999;
		font-size: 1em;
 		padding:0.5em 1em 1em 1em;
		margin: 2em auto;
		width: 98%;
		-webkit-border-radius: 10px;
		-khtml-border-radius: 10px;
		-moz-border-radius: 10px;
		border-radius: 10px;
	}

	section.beispiel h5 {
		margin-top: 0.25em;
		margin-bottom: 0.75em;
	}
	
	section.beispiel h6 {
		font-size: medium;
		font-weight: bold;
		text-align: left;
		margin-top: 0.25em;
		margin-bottom: 0.75em;
	}
		
	section.beispiel p {
		margin-top: 0.5em; 
		margin-bottom: 0.5em; 
	}
	
	section.beispiel figure{
		margin: 1em auto;
	}
	
	section.beispiel section.aufgabe.kasten{
		margin: 1em auto;
	}
/******************/

section.beispiel.loesungskasten {
	/*background-color: #FDFFC9;*/
}

section.beispiel.loesungskasten  h5 {
	margin-top: 0; 
}

div.justify {
	text-align: justify;
}

.hslider {
	overflow: auto;
}

/*@media only screen and (max-width:600px), @media only screen and (max-device-width:600px) {*/
@media only screen and (min-device-width : 320px) and (max-device-width : 600px), only screen and (max-width:600px) {
	body {
		padding: 0px;
	}
	
	header {
		margin: 5px 10px ;
		padding-bottom: 10px;
	}
	
	#content {
		margin:11px;
	}

	footer {
		margin: 5px 10px ;
	}

	section.beispiel h5{
		font-size: smaller;
	}
		
/* Navigation */
 	#page_header nav, #page_footer nav {
		display: block; 
	} 

	#page_header > nav > div, #page_footer > nav > div {
		display: block;
		vertical-align: middle;
/* 		width: 33.3%; */
		text-align:center;
		margin-left: auto;
		margin-right: auto;
	}
/******************/
}


